summaryrefslogtreecommitdiff
path: root/dev-python/txaio
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
committerLiguros - Gitlab CI/CD [master] <gitlab@liguros.net>2021-01-17 23:35:33 +0000
commit8e8120eabdd28020aa69c7a60505cce2edd20adc (patch)
tree061bf0acdc672720e0bc3a2d575f67d25aedb2d8 /dev-python/txaio
parentc16790af2c9b4cbc38e565d4311252193ff85484 (diff)
downloadbaldeagleos-repo-21.1.2.tar.gz
baldeagleos-repo-21.1.2.tar.xz
baldeagleos-repo-21.1.2.zip
Updating liguros repo21.1.2
Diffstat (limited to 'dev-python/txaio')
-rw-r--r--dev-python/txaio/Manifest1
-rw-r--r--dev-python/txaio/metadata.xml4
-rw-r--r--dev-python/txaio/txaio-20.12.1.ebuild32
3 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/txaio/Manifest b/dev-python/txaio/Manifest
index da8811ccb0d9..5f0e66cd9f5f 100644
--- a/dev-python/txaio/Manifest
+++ b/dev-python/txaio/Manifest
@@ -1 +1,2 @@
+DIST txaio-20.12.1.tar.gz 53200 BLAKE2B 0bbcf8a64fec668c2cf128a390779ca81033d0f43f02a341c46fc392254ff011df13a1456757e86dc5c4c15f18468698f4da85cc830fb2e52e4e620f7a8767ee SHA512 efde6115b8eccba94dce736fffe49f280ff49e9738f3299578cf41641c3b6f1deb5b1c0f0c8c6fbf85c8d8adbdc2d3f67aa256335d63a5977ac0bfacc98f909c
DIST txaio-20.4.1.tar.gz 52580 BLAKE2B 28d745eb9e8a0df1ca8748ce455eb122e240505f31464fcc0e66bafcefa8a01a356e44a46d9a5a1b1c670df46ca0c2ea9e66d29436bf2668e5614c5aa8726cee SHA512 da0269d13d72f4ea14f2e67585cdb74ec5105884c31d81157fb85e92d4eb935b1c13eb1222bd5ecd57a8caa36008cf49de85321e7b67e94159330e1d592d42c4
diff --git a/dev-python/txaio/metadata.xml b/dev-python/txaio/metadata.xml
index 12a998131bc8..29b5a05fecab 100644
--- a/dev-python/txaio/metadata.xml
+++ b/dev-python/txaio/metadata.xml
@@ -5,6 +5,10 @@
<email>dolsen@gentoo.org</email>
<name>Brian Dolbec</name>
</maintainer>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
<upstream>
<maintainer>
<email>autobahnws@googlegroups.com</email>
diff --git a/dev-python/txaio/txaio-20.12.1.ebuild b/dev-python/txaio/txaio-20.12.1.ebuild
new file mode 100644
index 000000000000..f15fb714b298
--- /dev/null
+++ b/dev-python/txaio/txaio-20.12.1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+
+inherit distutils-r1
+
+DESCRIPTION="Compatibility API between asyncio/Twisted/Trollius"
+HOMEPAGE="https://github.com/crossbario/txaio https://pypi.org/project/txaio/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86 ~amd64-linux ~x86-linux"
+
+BDEPEND="
+ test? (
+ >=dev-python/mock-1.3.0[${PYTHON_USEDEP}]
+ )
+"
+distutils_enable_sphinx docs \
+ '>=dev-python/sphinxcontrib-spelling-2.1.2' \
+ '>=dev-python/sphinx_rtd_theme-0.1.9'
+distutils_enable_tests pytest
+
+src_prepare() {
+ default_src_prepare
+ # Take out failing tests known to pass when run manually
+ # we certainly don't need to test "python setup.py sdist" here
+ rm "${S}/test/test_packaging.py" || die
+}